Community Articles
Find and share helpful community-sourced technical articles
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Issue: While performing HDP upgrade it failed on last step.

Error Finalizing HDP upgrade Failed on: Save Cluster State

Sample screenshot is attached below -

9351-screen-shot-2016-11-11-at-11801-pm.png

Many times error might change, and in my case below was the error -

Begin finalizing the upgrade of cluster TEST_DEV to version 2.5.0.0-1245 

The following 7 host(s) have not been upgraded to version 2.5.0.0-1245. Please install and upgrade the Stack Version on those hosts and try again. 

Hosts: host1.example.com, host2.example.com, host3.example.com, host4.example.com, host5.example.com, host6.example.com, host7.example.com 

Root Cause: When check in ambari DB for "host_version" table we were able to see the 7 hosts were pointing to state as INSTALLED as shown below -

9346-screen-shot-2016-11-11-at-10256-pm.png

The repo_version_id=151 should be in "CURRENT" state which was not the case. It was in INSTALLED state.

Solution:

1. First set the previous repo_version_id ie 101 to INSTALLED state using below command -

mysql> update host_version set state='INSTALLED' where repo_version_id='101';

9347-screen-shot-2016-11-11-at-11152-pm.png

2. Now modify the hosts which was having latest repo_version_id [ie. 151] to CURRENT state -

mysql> update host_version set state='CURRENT' where repo_version_id='151';

9348-screen-shot-2016-11-11-at-11234-pm.png

3. Restarted ambari server and click on "Retry" on host upgrade screen after which upgrade was successfully completed.

9349-screen-shot-2016-11-11-at-11712-pm.png

9350-screen-shot-2016-11-11-at-11728-pm.png


finalize-upgrade.png
2,916 Views
Comments
Contributor

Dear @Sagar Shimpi I've followed your article but when I hit restart I get this error:

34508-34486-34443-restart.jpg

Can you help?

Best regards

@Hugo Felix This is different issue. Your database seems to be inconsistent. Can you please open a new thread and attach /var/log/ambari-server/ambari-server-check.database.log so that i can check and if possible provide you solution.

The problem I encountered was :

The following 6 host component(s) have not been upgraded to version 1.1.5.0-235. Please install and upgrade the Stack Version on those hosts and try again.
Host components:
GLOBALMASTER on host e19e07452.et15sqa
LDSERVER on host e19e07452.et15sqa
LOCALMASTER on host e19e07452.et15sqa
LDSERVER on host e19e07466.et15sqa
LDSERVER on host e19e10465.et15sqa
LOCALMASTER on host e19e10465.et15sqa

the "GLOBALMASTER" is my service component.

Can you please help?

Many thanks in advance.

Dear @Sagar Shimpi The problem I encountered was :

The following 6 host component(s) have not been upgraded to version 1.1.5.0-235. Please install and upgrade the Stack Version on those hosts and try again.
Host components:
GLOBALMASTER on host e19e07452.et15sqa
LDSERVER on host e19e07452.et15sqa
LOCALMASTER on host e19e07452.et15sqa
LDSERVER on host e19e07466.et15sqa
LDSERVER on host e19e10465.et15sqa
LOCALMASTER on host e19e10465.et15sqa

the "GLOBALMASTER" is my service component.

Can you please help?

Many thanks in advance.

Don't have an account?
Coming from Hortonworks? Activate your account here
Version history
Revision #:
2 of 2
Last update:
‎08-17-2019 08:17 AM
Updated by:
 
Contributors
Top Kudoed Authors